<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Rifle/Mosin9130.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dfd/_mosin9130_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Mosin9130.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dfd/_mosin9130_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/deb/namespace_3global_scope_4.html">    1</a></span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html">    5</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d69/class_mosin9130___base.html">Mosin9130_Base</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html">BoltActionRifle_InnerMagazine_Base</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html#af1234c8790623419cb47a6428393cfea">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html#af1234c8790623419cb47a6428393cfea">Mosin9130_Base</a> ()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html#acbbe6dea5570d44609e15b62139e8d48">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html#acbbe6dea5570d44609e15b62139e8d48">CanEnterIronsights</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_class" href="../../d2/d29/class_item_optics.html">ItemOptics</a> optic = GetAttachedOptics();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">if</span> (optic &amp;&amp; PUScopeOptic.Cast(optic))</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> super.CanEnterIronsights();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>};</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../db/d69/class_mosin9130___base.html">   21</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#d6/d62/class_mosin9130">Mosin9130</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../db/d69/class_mosin9130___base.html">Mosin9130_Base</a></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../db/d69/class_mosin9130___base.html#aa1a46076d33b050fb92f076281da9a2f">   23</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> <a class="code hl_function" href="../../db/d69/class_mosin9130___base.html#aa1a46076d33b050fb92f076281da9a2f">SpawnRecoilObject</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../d3/de6/class_mosin_recoil.html">MosinRecoil</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../db/d69/class_mosin9130___base.html#adec3d8fa4342592a63d3f71b8f3a3e17">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d69/class_mosin9130___base.html#adec3d8fa4342592a63d3f71b8f3a3e17">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        super.OnDebugSpawn();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_class" href="../../dc/d11/class_game_inventory.html">GameInventory</a> inventory = GetInventory();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;PUScopeOptic&quot;</span> );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;Mosin_Compensator&quot;</span> ); </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(entity, <span class="keyword">this</span>) )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            entity.SpawnEntityOnGroundPos(<span class="stringliteral">&quot;Ammo_762x54&quot;</span>, entity.GetPosition());</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>};</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="keyword">class </span>SawedoffMosin9130_Base <span class="keyword">extends</span> <a class="code hl_class" href="../../db/d69/class_mosin9130___base.html">Mosin9130_Base</a></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>{</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../db/d69/class_mosin9130___base.html#aa1a46076d33b050fb92f076281da9a2f">   48</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> <a class="code hl_function" href="../../db/d69/class_mosin9130___base.html#aa1a46076d33b050fb92f076281da9a2f">SpawnRecoilObject</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../d6/d68/class_mosin_sawed_off_recoil.html">MosinSawedOffRecoil</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>};</div>
<div class="ttc" id="aclass_bolt_action_rifle___inner_magazine___base_html"><div class="ttname"><a href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html">BoltActionRifle_InnerMagazine_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_mosin9130_8c_source.html#l00005">Mosin9130.c:6</a></div></div>
<div class="ttc" id="aclass_bolt_action_rifle___inner_magazine___base_html_acbbe6dea5570d44609e15b62139e8d48"><div class="ttname"><a href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html#acbbe6dea5570d44609e15b62139e8d48">BoltActionRifle_InnerMagazine_Base::CanEnterIronsights</a></div><div class="ttdeci">override bool CanEnterIronsights()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_mosin9130_8c_source.html#l00011">Mosin9130.c:11</a></div></div>
<div class="ttc" id="aclass_bolt_action_rifle___inner_magazine___base_html_af1234c8790623419cb47a6428393cfea"><div class="ttname"><a href="../../de/db8/class_bolt_action_rifle___inner_magazine___base.html#af1234c8790623419cb47a6428393cfea">BoltActionRifle_InnerMagazine_Base::Mosin9130_Base</a></div><div class="ttdeci">void Mosin9130_Base()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_mosin9130_8c_source.html#l00007">Mosin9130.c:7</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html">GameInventory</a></div><div class="ttdoc">script counterpart to engine's class Inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00033">Inventory.c:28</a></div></div>
<div class="ttc" id="aclass_item_optics_html"><div class="ttname"><a href="../../d2/d29/class_item_optics.html">ItemOptics</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d08/_m79_8c_source.html#l00031">M79.c:32</a></div></div>
<div class="ttc" id="aclass_mosin9130___base_html"><div class="ttname"><a href="../../db/d69/class_mosin9130___base.html">Mosin9130_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_mosin9130_8c_source.html#l00021">Mosin9130.c:22</a></div></div>
<div class="ttc" id="aclass_mosin9130___base_html_aa1a46076d33b050fb92f076281da9a2f"><div class="ttname"><a href="../../db/d69/class_mosin9130___base.html#aa1a46076d33b050fb92f076281da9a2f">Mosin9130_Base::SpawnRecoilObject</a></div><div class="ttdeci">override RecoilBase SpawnRecoilObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_mosin9130_8c_source.html#l00023">Mosin9130.c:23</a></div></div>
<div class="ttc" id="aclass_mosin9130___base_html_adec3d8fa4342592a63d3f71b8f3a3e17"><div class="ttname"><a href="../../db/d69/class_mosin9130___base.html#adec3d8fa4342592a63d3f71b8f3a3e17">Mosin9130_Base::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_mosin9130_8c_source.html#l00030">Mosin9130.c:30</a></div></div>
<div class="ttc" id="aclass_mosin_recoil_html"><div class="ttname"><a href="../../d3/de6/class_mosin_recoil.html">MosinRecoil</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4f/_mosin_recoil_8c_source.html#l00001">MosinRecoil.c:2</a></div></div>
<div class="ttc" id="aclass_mosin_sawed_off_recoil_html"><div class="ttname"><a href="../../d6/d68/class_mosin_sawed_off_recoil.html">MosinSawedOffRecoil</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dcb/_mosin_sawed_off_recoil_8c_source.html#l00001">MosinSawedOffRecoil.c:2</a></div></div>
<div class="ttc" id="aclass_recoil_base_html"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html">RecoilBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00001">RecoilBase.c:2</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_d6/d62/class_mosin9130"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#d6/d62/class_mosin9130">Mosin9130</a></div><div class="ttdoc">base for Mosin @NOTE name copies config base class</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_bce4da49836595f9a16952151be6b928.html">Rifle</a></li><li class="navelem"><a class="el" href="../../d4/dfd/_mosin9130_8c.html">Mosin9130.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
